=== debian/changelog ===
syncmaildir (1.2.6-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 14 Mar 2014 18:00:08 +0100

syncmaildir (1.2.6-1) unstable; urgency=medium

  * New upstream release (better gnome-shell integration, faster
    synchronization of copy-on-write file systems)
  * Adding NEWS file: version 1.2.5 and 1.2.6 are not compatible.

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 14 Mar 2014 17:32:43 +0100

syncmaildir (1.2.5-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 11 Jun 2012 12:15:44 +0200

syncmaildir (1.2.1-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 10 Sep 2011 16:22:34 +0200

syncmaildir (1.2.0-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 07 Sep 2011 11:04:37 +0200
