=== debian/control ===
Source: syncmaildir
Section: mail
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 7.0.50~), txt2man, pkg-config, libglib2.0-dev (>= 2.19.1), libgtk-3-dev, libnotify-dev, libgconf2-dev, libgee-dev, lua5.1, xdelta, moreutils (>= 0.38)
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/collab-maint/syncmaildir.git
Vcs-Browser:  http://git.debian.org/?p=collab-maint/syncmaildir.git
Homepage: http://syncmaildir.sourceforge.net

Package: syncmaildir
Architecture: any
Depends: lua5.1, openssh-client, xdelta, ${shlibs:Depends}, ${misc:Depends}
Description: Sync Mail Dir is a set of tools to synchronize Maildirs
 Sync Mail Dir is a set of utilities to synchronize a pair of mail boxes
 in Maildir format, using SSH to transfer data. It provides the smd-pull
 utility to pull changes made on the remote mailbox, smd-push to propagate
 local changes to the remote mailbox, smd-loop to iterate push and pull
 in a timely way.
 .
 The software is young and should thus be used with care in production
 environments.
 .
 Unlike OfflineIMAP It requires no IMAP server to be installed on the remote
 host. Moreover it never attempts to automatically resolve conflicts between
 incompatible mailbox statuses, it just notifies the user explaining how
 he can fix the problem.
 .
 Sync Mail Dir design is similar to the one of Maildirsync, but is more
 efficient in terms of CPU cycles and disk I/O.

Package: syncmaildir-applet
Architecture: any
Depends: syncmaildir (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Sync Mail Dir GNOME applet
 Sync Mail Dir is a set of utilities to synchronize a pair of mail boxes
 in Maildir format, using SSH to transfer data. 
 .
 This package provides an applet that integrates smd-loop with GNOME, i.e.
 notifies the user with popups, starts smd-loop when the user logs in and
 provides a simple user interface to deal with synchronization errors.
