## syncmaildir 1.2.6.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # should care about them
 
 PROJECTNAME=syncmaildir
-VERSION=1.2.6
+VERSION=1.2.6.1
 COPYRIGHT=© 2008-2013 Enrico Tassi <gares@fettunta.org>
 BINARIES=mddiff smd-applet
 MANPAGES1=mddiff.1 smd-server.1 smd-client.1 \
@@ -25,11 +25,11 @@
 BENCH_SUITES=benchmarks
 PKG_GTK=gtk+-3.0 
 SMD_APPLET_C=smd-applet.c 
-PKGS_VALA=glib-2.0 $(PKG_GTK) libnotify gconf-2.0 gee-1.0 gio-2.0
+PKGS_VALA=glib-2.0 $(PKG_GTK) libnotify gconf-2.0 gee-0.8 gio-2.0
 TARGET_GLIB=2.32
 PKGCONFIG_CHECK_GLIB_VERSION=--atleast-version=$(TARGET_GLIB) glib-2.0
 PKGCONFIG_GLIB_VERSION=--modversion glib-2.0
-VALAC=valac-0.22
+VALAC=valac-0.26
 H=@
 
 # ----------------------------------------------------------------------------
@@ -221,7 +221,7 @@
 		-r smd-applet.c \
 		--owner root --group root \
 		-f $(PROJECTNAME)-$(VERSION).tar
-	gzip -9 -f $(PROJECTNAME)-$(VERSION).tar
+	gzip -9 -n -f $(PROJECTNAME)-$(VERSION).tar
 
 $(HTML): check-w-markdown
 	cat misc/head.html > index.html
