=== debian/changelog ===
syncmaildir (1.2.6.1-1) unstable; urgency=medium

  * New upstream release updating vala dependencies
  * Depend on libgee-0.8-dev (Close: #753876)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 22 May 2015 08:45:27 +0200
