=== debian/changelog ===
syncmaildir (1.2.6.2-1) unstable; urgency=medium

  * New upstream bugfix release (Closes: #800872)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 18 Nov 2015 09:50:13 +0100
