=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: mail
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), txt2man, pkg-config, libglib2.0-dev (>= 2.19.1), libgtk-3-dev, libnotify-dev, libgconf2-dev, libgee-dev, lua5.1, xdelta, moreutils (>= 0.38)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), txt2man, pkg-config, libglib2.0-dev (>= 2.19.1), libgtk-3-dev, libnotify-dev (>= 0.7), libgconf2-dev, libgee-0.8-dev, lua5.1, xdelta, moreutils (>= 0.38)
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/syncmaildir.git
 Vcs-Browser:  http://git.debian.org/?p=collab-maint/syncmaildir.git
 Homepage: http://syncmaildir.sourceforge.net
