## syncmaildir 1.3.0

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # should care about them
 
 PROJECTNAME=syncmaildir
-VERSION=1.2.6.2
-COPYRIGHT=© 2008-2013 Enrico Tassi <gares@fettunta.org>
+VERSION=1.3.0
+COPYRIGHT=© 2008-2018 Enrico Tassi <gares@fettunta.org>
 BINARIES=mddiff smd-applet
 MANPAGES1=mddiff.1 smd-server.1 smd-client.1 \
 	 smd-pull.1 smd-push.1 smd-loop.1 smd-applet.1 smd-translate.1 \
@@ -14,9 +14,6 @@
 MANPAGES5=smd-config.5
 HTML=index.html design.html hooks.html
 DESTDIR=
-SF_FRS=/home/frs/project/s/sy/syncmaildir/syncmaildir
-SF_LOGIN=$(SF_USER),syncmaildir
-SF_WEB=htdocs
 TEST_SIZE=100
 TEST_MAILBOX=misc/Mail.TEST.tgz
 TEST_SUITES=mddiff client-server pull-push migration
@@ -25,7 +22,7 @@
 BENCH_SUITES=benchmarks
 PKG_GTK=gtk+-3.0 
 SMD_APPLET_C=smd-applet.c 
-PKGS_VALA=glib-2.0 $(PKG_GTK) libnotify gconf-2.0 gee-0.8 gio-2.0
+PKGS_VALA=glib-2.0 $(PKG_GTK) libnotify gee-0.8 gio-2.0
 TARGET_GLIB=2.32
 PKGCONFIG_CHECK_GLIB_VERSION=--atleast-version=$(TARGET_GLIB) glib-2.0
 PKGCONFIG_GLIB_VERSION=--modversion glib-2.0
@@ -202,7 +199,7 @@
 	cp $(MANPAGES5) $(DESTDIR)/$(PREFIX)/share/man/man5
 	$(call mkdir-p,share/doc/syncmaildir)
 	cp -r sample-hooks/ $(DESTDIR)/$(PREFIX)/share/doc/syncmaildir
-	$(call install,README,share/doc/syncmaildir)
+	$(call install,README.md,share/doc/syncmaildir)
 
 clean: 
 	$H rm -f $(BINARIES) $(MANPAGES1) $(MANPAGES5)
@@ -223,33 +220,6 @@
 		-f $(PROJECTNAME)-$(VERSION).tar
 	gzip -9 -n -f $(PROJECTNAME)-$(VERSION).tar
 
-$(HTML): check-w-markdown
-	cat misc/head.html > index.html
-	markdown README >> index.html
-	cat misc/tail.html >> index.html
-	cat misc/head.html > design.html
-	markdown DESIGN >> design.html
-	cat misc/tail.html >> design.html
-	cat misc/head.html > hooks.html
-	grep -h '^##' sample-hooks/* | sed 's/^## \?//' | markdown >> hooks.html
-	cat misc/tail.html >> hooks.html
-
-%.html:%.txt
-	cat misc/head.html > $@
-	echo '<pre>' >> $@
-	cat $< | sed -e '/^AUTHOR/,$$d' >> $@
-	echo '</pre>' >> $@
-	cat misc/tail.html >> $@
-
-upload-website: $(HTML) $(MANPAGES1:%=%.html) $(MANPAGES5:%=%.html)
-	scp $? misc/style.css \
-		$(SF_LOGIN)@web.sourceforge.net:$(SF_WEB)
-
-upload-tarball-and-changelog: $(PROJECTNAME)-$(VERSION).tar.gz
-	scp $(PROJECTNAME)-$(VERSION).tar.gz \
-	       	$(SF_LOGIN)@frs.sourceforge.net:$(SF_FRS)/$<
-	scp ChangeLog $(SF_LOGIN)@frs.sourceforge.net:$(SF_FRS)/README
-
 stats:
 	T=`git tag | sort -V | head -n 1`; \
 	for V in `git tag | sort -V | tail -n +2`; do \
