=== debian/changelog ===
syncmaildir (1.3.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:22:45 +1100

syncmaildir (1.3.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:03:27 +0000

syncmaildir (1.3.0-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #995531)

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 07:44:43 -0300

syncmaildir (1.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert some 'grep foo bar | wc -l' to 'grep -c foo bar' in test
    suite.  Bug fix: "FTBFS: running client-server/02-move-mail: .grep:
    log.s2c: binary file matches", thanks to Lucas Nussbaum (Closes:
    #975227).

 -- David Bremner <bremner@debian.org>  Wed, 21 Apr 2021 11:05:47 -0300

syncmaildir (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * Remove all traces of GConf (Closes: #886044)
  * Update package description (Closes: #785482)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 17 Mar 2018 17:13:46 +0100
