=== debian/control ===
Source: syncmaildir
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.50~), txt2man, pkg-config, libglib2.0-dev (>= 2.19.1), libgtk-3-dev, libnotify-dev (>= 0.7), libgee-0.8-dev, lua5.1, xdelta, moreutils (>= 0.38)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/syncmaildir.git
Vcs-Browser:  http://git.debian.org/?p=collab-maint/syncmaildir.git
Homepage: http://syncmaildir.sourceforge.net

Package: syncmaildir
Architecture: any
Depends: lua5.1, openssh-client, xdelta, ${shlibs:Depends}, ${misc:Depends}
Description: mailbox synchronization tools
 Sync Mail Dir is a set of utilities to synchronize a pair of mailboxes
 in Maildir format, using SSH to transfer data. It provides the smd-pull
 utility to pull changes made on the remote mailbox, smd-push to propagate
 local changes to the remote mailbox, and smd-loop to iterate push and pull
 in a timely way.
 .
 The software is young and should thus be used with care in production
 environments.
 .
 Unlike OfflineIMAP, it does not require an IMAP server to be installed on the
 remote host. Moreover, it never attempts to automatically resolve conflicts
 between incompatible mailbox statuses - it just notifies the user explaining
 how to fix the problem.
 .
 Sync Mail Dir's design is similar to that of Maildirsync, but is more
 efficient in terms of CPU cycles and disk I/O.

Package: syncmaildir-applet
Architecture: any
Depends: syncmaildir (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: mailbox synchronization tools - GNOME applet
 Sync Mail Dir is a set of utilities to synchronize a pair of mailboxes
 in Maildir format, using SSH to transfer data. 
 .
 This package provides an applet that integrates smd-loop with GNOME; that
 is, it notifies the user with popups, starts smd-loop when the user logs
 in, and provides a simple user interface to deal with synchronization
 errors.
